MsWksGraphInternal::OLEZone Struct Referencefinal

Internal: the ole zone of a MsWksGraph ( v4). More...

Inheritance diagram for MsWksGraphInternal::OLEZone:

## Public Member Functions

| OLEZone (Zone const &z)
| constructor
| ~OLEZone () final
| destructor
Type | type () const final
| return the type
void | print (std::ostream &o) const final
| operator<<
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
Zone & | operator= (Zone const &)=default
Zone & | operator= (Zone &&)=default
virtual | ~Zone ()
| destructor
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known)
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed)
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed )
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const

## Public Attributes

int | m_oleId
| the ole id
MWAWVec2i | m_dim
| the dimension
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type
int | m_zoneId
| the zone id
MWAWEntry | m_pos
| the file position
long | m_dataPos
| the data begin position
int | m_fileId
| the file id
long | m_ids [3]
| the zones id (main, previous, next)
int | m_page
| the page
MWAWBox2f | m_decal
| the local position
MWAWVec2f | m_finalDecal
| the final local position
MWAWBox2f | m_box
| local bdbox
int | m_line
| the line position(v1)
MsWksGraph::Style | m_style
| the style
int | m_order
| the picture order
std::string | m_extra
| extra data
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group)
bool | m_isSent
| true if the zone is send

## Additional Inherited Members

Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown , Shape , ChartZone , Group , Pict , Text , Textv4 , Bitmap , TableZone , OLE }

## Detailed Description

Internal: the ole zone of a MsWksGraph ( v4).

## Constructor & Destructor Documentation

## OLEZone()

MsWksGraphInternal::OLEZone::OLEZone | ( | Zone const & | z | ) |

inline explicit

constructor

## ~OLEZone()

MsWksGraphInternal::OLEZone::~OLEZone | ( |  | ) |

final

destructor

## Member Function Documentation

## print()

void MsWksGraphInternal::OLEZone::print | ( | std::ostream & | o | ) | const

inline final virtual

operator<<

Reimplemented from MsWksGraphInternal::Zone.

## type()

Type MsWksGraphInternal::OLEZone::type | ( |  | ) | const

inline final virtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

Referenced by type().

## Member Data Documentation

## m_dim

MWAWVec2i MsWksGraphInternal::OLEZone::m_dim

the dimension

Referenced by OLEZone(), and print().

## m_oleId

int MsWksGraphInternal::OLEZone::m_oleId

the ole id

Referenced by OLEZone(), and print().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx